<div
  class="svm-overview-drag-box mat-app-background"
  cdkDrag
  cdkDragBoundary=".example-boundary"
  #dndContainer
  mwlResizable
  [enableGhostResize]="false"
  (resizing)="onResizing($event)"
  [validateResize]="validate"
  [ngStyle]="style">
  <div mwlResizeHandle class="resize-handle-top" [resizeEdges]="{ top: resizeEdges.top }"></div>
  <div mwlResizeHandle class="resize-handle-bottom" [resizeEdges]="{ bottom: resizeEdges.bottom }"></div>
  <div mwlResizeHandle class="resize-handle-left" [resizeEdges]="{ left: resizeEdges.left }"></div>
  <div mwlResizeHandle class="resize-handle-right" [resizeEdges]="{ right: resizeEdges.right }"></div>
  <div mwlResizeHandle class="resize-handle-top-left" [resizeEdges]="{ top: resizeEdges.top, left: resizeEdges.left }"></div>
  <div mwlResizeHandle class="resize-handle-top-right" [resizeEdges]="{ top: resizeEdges.top, right: resizeEdges.right }"></div>
  <div mwlResizeHandle class="resize-handle-bottom-left" [resizeEdges]="{ bottom: resizeEdges.bottom, left: resizeEdges.left }"></div>
  <div mwlResizeHandle class="resize-handle-bottom-right" [resizeEdges]="{ bottom: resizeEdges.bottom, right: resizeEdges.right }"></div>
  <div>
    <ng-content></ng-content>
  </div>
  <div
    class="drag-handle"
    cdkDragHandle>
    <svg
      width="24px"
      fill="currentColor"
      viewBox="0 0 24 24">
      <path d="M10 9h4V6h3l-5-5-5 5h3v3zm-1 1H6V7l-5 5 5 5v-3h3v-4zm14 2l-5-5v3h-3v4h3v3l5-5zm-9 3h-4v3H7l5 5 5-5h-3v-3z"></path>
      <path
        d="M0 0h24v24H0z"
        fill="none"></path>
    </svg>
  </div>
  <!-- TODO: implement minimize container function -->
  <div
    *ngIf="false"
    class="minimize"
    (click)="minimize()">
    <!-- Minimize icon -->
    <svg
      *ngIf="!isMinimized"
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="currentColor"
      stroke="currentColor"
      stroke-width="2"
      stroke-linecap="round"
      stroke-linejoin="round">
      <polyline points="4 14 10 14 10 20"></polyline>
      <polyline points="20 10 14 10 14 4"></polyline>
      <line
        x1="14"
        y1="10"
        x2="21"
        y2="3"></line>
      <line
        x1="3"
        y1="21"
        x2="10"
        y2="14"></line>
    </svg>
    <!-- Maximize icon -->
    <svg
      *ngIf="isMinimized"
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="currentColor"
      stroke="currentColor"
      stroke-width="2"
      stroke-linecap="round"
      stroke-linejoin="round">
      <polyline points="15 3 21 3 21 9"></polyline>
      <polyline points="9 21 3 21 3 15"></polyline>
      <line
        x1="21"
        y1="3"
        x2="14"
        y2="10"></line>
      <line
        x1="3"
        y1="21"
        x2="10"
        y2="14"></line>
    </svg>
  </div>
</div>
